import React from 'react'
import SearchInput from './SearchInput'
import { PlusSquare } from 'lucide-react'


type Props = {
  label: string,
  show_search?: boolean,
  show_new_modal?: boolean,
  button_label?: string,
  handle_open_new_form_modal?: () => void,
  handle_change_search?: (search: string) => void
}

const AdminBreadcrum = ({
  label, 
  show_new_modal, 
  show_search, 
  button_label, 
  handle_open_new_form_modal,
  handle_change_search
  }: Props) => {
  return (
    <div className='px-2 py-4 space-y-3 lg:space-y-0 lg:flex justify-between'>
      <p className='text-gray-500 text-xl'>/{label}</p>
      <div className="lg:w-1/2 flex items-center space-x-10">
        { show_search && <SearchInput handle_change_search={handle_change_search}  />}
        { show_new_modal && <button onClick={handle_open_new_form_modal} className='flex bg-green-500 p-2 rounded text-white space-x-1'>
          <PlusSquare />
          <span className='capitalize'>{button_label}</span>
        </button>}
      </div>
    </div>
  )
}

export default AdminBreadcrum