import { LogOut, Menu } from 'lucide-react'
import Link from 'next/link'
import React from 'react'
import AdminSheet from './AdminSheet'
import { deleteCookie } from 'cookies-next'
import { useRouter } from 'next/router'
type Props = {}

const AdminNav = (props: Props) => {
  const router = useRouter()
  const logoutHandler = () => {
    deleteCookie('token')
    router.push('/')
  }
  return (
    <nav className='bg-[crimson] text-white py-4'>
      <div className="w-11/12 mx-auto">
        <div className="">
          <ul className='flex justify-between'>
            <li><span className='lg:hidden'><AdminSheet></AdminSheet></span></li>
            <li><Link href='/dashboard'>Dasboard</Link></li>
            <li className='space-x-5 flex items-center'>
              <Link href="/">Home</Link>
              <button onClick={logoutHandler}><LogOut/></button>    
            </li>
          </ul>
        </div>
      </div>
    </nav>
  )
}

export default AdminNav