import React from 'react'
import {
  Card,
  CardContent,
  CardHeader,
  CardTitle,
} from "@/components/ui/card"
import { convertNumberToAbbreviation } from '@/utils/number-format'

type Props = {
  Icon: any,
  title: string,
  count: number | undefined
}

const DashboardCard = ({Icon, title, count}: Props) => {
  return (
    <Card>
      <CardContent className=''>
        <div className="pt-4 flex justify-between">
          <h1>{title}</h1>
          <span><Icon /></span>
        </div>
      </CardContent>
      <CardHeader>
      <CardTitle>{convertNumberToAbbreviation(count as number || 0)}</CardTitle>
      </CardHeader>
    </Card>
  )
}

export default DashboardCard