import React from 'react'

type Props = {
  Icon: any,
  title: string,
  description: string
}

const IconCard = ({Icon, title, description}: Props) => {
  return (
    <div className="flex flex-col items-center rounded-lg p-5 bg-[#222]">
      <Icon height={50} width={50} className="self-center text-[crimson] rounded-lg"/>
      <h3 className="text-white font-bold text-lg">{title}</h3>
      <p className="text-white text-center">{description}</p>
    </div>
  )
}

export default IconCard