import React from 'react'

type Props = {
  currentPage: number, 
  totalPages: number, 
  onPageChange: (number: number) => void
}

const Pagination = ({currentPage, totalPages, onPageChange}: Props) => {
  const pageNumbers = [];
  for (let i = 1; i <= totalPages; i++) {
    pageNumbers.push(i);
  }
  return (
    <nav className="mt-5">
      <ul className="flex items-center space-x-2">
        {pageNumbers.map(number => (
          <li key={number} className={`h-6 w-6 rounded-md text-white`}>
            <a href="#" className={`flex bg-[crimson] justify-center items-center ${currentPage === number ? 'bg-white text-[crimson] border-[crimson] border' : null}`} onClick={() => onPageChange(number)}>
              {number}
            </a>
          </li>
        ))}
      </ul>
    </nav>
  )
}

export default Pagination