import { technologies } from '@/types/types'
import { SERVER_ADDRESS } from '@/utils/address'
import Image from 'next/image'
import React from 'react'

type Props = {
  technologies: technologies[],
  title: string
}

const ProjectSkillCard = ({technologies, title}: Props) => {
  const techs = technologies.map((tech, index) => (
    <Image key={index} src={SERVER_ADDRESS + tech.logo.filePath} alt={tech.name} width={50} height={50} />
  ))
  return (
      <div className="mt-5 text-center space-y-5 px-4">
          <span>{title}</span>
          <div className="flex flex-wrap gap-5">
              {techs}
          </div>
      </div>
  )
}

export default ProjectSkillCard