import React, { useState } from 'react'
import { Input } from './ui/input'
import { Search } from 'lucide-react'

type Props = {
  handle_change_search?: (search: string) => void
}

const SearchInput = ({handle_change_search}: Props) => {
  const handle_change = (search: string) => {
    if (handle_change_search) {
      handle_change_search(search)
    }
  }
  return (
    <div className='border flex items-center flex-1'>
      <Input onChange={(e) => handle_change(e.target.value)} type='search' placeholder='Search' className='border-none'></Input>
      <button className='px-2'>
        <Search />
      </button>
    </div>
  )
}

export default SearchInput