import React from 'react'
import Footer from '../footer'
import AdminNav from '../AdminNav'
import SideNav from '../SideNav'
import { ToastContainer } from 'react-toastify'
import {AuthContextProvider} from '@/context/AuthContext'
type Props = {
  children: React.ReactNode
}

const DashboardLayout = ({children}: Props) => {
  return (
    
    <div className='relative'>
      <AuthContextProvider>
        <ToastContainer/>
        <div className='flex'>
          <div className='hidden lg:block'>
            <SideNav></SideNav>
          </div>
          <div className="flex-1">
            <AdminNav></AdminNav>
            <main className='min-h-[88vh]'>
              {children}
            </main>
          </div>
        </div>
        <Footer />
      </AuthContextProvider>
    </div>
  )
}

export default DashboardLayout