import React from 'react'
import Navbar from '../navbar'
import Footer from '../footer'
import { HomeAuthContextProvider } from '@/context/AuthContext'
type Props = {
  children: React.ReactNode
}

const defaultLayout = (props: Props) => {
  return (
    <div>
      <HomeAuthContextProvider>
        <Navbar></Navbar>
        <main className=''>
          {props.children}
        </main>
        <Footer></Footer>
      </HomeAuthContextProvider>
    </div>
  )
}

export default defaultLayout