import React, { Dispatch } from 'react'
import { Card, CardContent } from '../ui/card'
import { X } from 'lucide-react'
import Backdrop from '../Backdrop'

type Props = {
  text: string,
  show_desciption_modal: (text?: string) => void
}

const DescriptionModal = ({text, show_desciption_modal}: Props) => {
  return (
    <Backdrop>
      <div className="w-3/4 bg-white">
        <Card className='py-4'>
          <CardContent>
            <p className='flex justify-end cursor-pointer'><span onClick={() => show_desciption_modal()}><X /></span></p>
            <p className='my-2'>{text}</p>
          </CardContent>
        </Card>
      </div>
    </Backdrop>
  )
}

export default DescriptionModal