import axios_instance from 'axios'
import { getCookie } from 'cookies-next'

// const base_url = 'http://127.0.0.1:8080/api'
const base_url = 'https://restapiportfolio.schuamealexandre.com/api'
const token = getCookie('token')
const axios = axios_instance.create({
  baseURL: base_url,
  headers: {
    "Content-Type": ["application/ld+json", "application/merge-patch+json", "application/json"],
    "Authorization": `Bearer ${token}`
  },
})

axios.interceptors.request.use(
  (config) => {
    config.headers.Authorization = `Bearer ${token}`;
    return config;
  },
  (err) => {
    return Promise.reject(err)
  }
)

export default axios