import axios from '@/config/axios'
import { getCookie } from 'cookies-next'

// const token = getCookie('token') 
const base_headers = { 
    'Content-Type': 'application/ld+json',
    'Accept': 'application/ld+json',
    // 'Authorization': `Bearer ${token}`
}

const post_headers_form_data = {
    'Content-Type': 'multipart/form-data',
    'Accept': 'application/ld+json',
    // 'Authorization': `Bearer ${token}`
}

const patch_headers = {
    'accept': 'application/ld+json',
    'Content-Type': 'application/merge-patch+json',
    // 'Authorization': `Bearer ${token}`
}

export const post = async (url: string, data: any) => {
    const response = await axios.post(url, data, { headers: base_headers })
    return response
}

export const post_form_data = async (url: string, data: any) => {
    const response = await axios.post(url, data, { headers: post_headers_form_data })
    return response
}

export const patch = async (url: string, data: any) => {
    const response = await axios.patch(url, data, { headers: patch_headers })
    return response
}

export const get = async (url: string) => {
    const response = await axios.get(url, { headers: base_headers })
    return response
}
