/*
  Warnings:

  - You are about to drop the `_projectstotechnology` table. If the table is not empty, all the data it contains will be lost.
  - You are about to drop the `_projectstovisitor` table. If the table is not empty, all the data it contains will be lost.

*/
-- DropForeignKey
ALTER TABLE `_projectstotechnology` DROP FOREIGN KEY `_ProjectsToTechnology_A_fkey`;

-- DropForeignKey
ALTER TABLE `_projectstotechnology` DROP FOREIGN KEY `_ProjectsToTechnology_B_fkey`;

-- DropForeignKey
ALTER TABLE `_projectstovisitor` DROP FOREIGN KEY `_ProjectsToVisitor_A_fkey`;

-- DropForeignKey
ALTER TABLE `_projectstovisitor` DROP FOREIGN KEY `_ProjectsToVisitor_B_fkey`;

-- DropTable
DROP TABLE `_projectstotechnology`;

-- DropTable
DROP TABLE `_projectstovisitor`;

-- CreateTable
CREATE TABLE `TechnologyOnProjects` (
    `projectId` INTEGER NOT NULL,
    `technologyId` INTEGER NOT NULL,

    PRIMARY KEY (`projectId`, `technologyId`)
) DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;

-- CreateTable
CREATE TABLE `VisitorOnProjects` (
    `projectId` INTEGER NOT NULL,
    `visitorId` INTEGER NOT NULL,

    PRIMARY KEY (`projectId`, `visitorId`)
) DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;

-- AddForeignKey
ALTER TABLE `TechnologyOnProjects` ADD CONSTRAINT `TechnologyOnProjects_projectId_fkey` FOREIGN KEY (`projectId`) REFERENCES `Projects`(`id`) ON DELETE RESTRICT ON UPDATE CASCADE;

-- AddForeignKey
ALTER TABLE `TechnologyOnProjects` ADD CONSTRAINT `TechnologyOnProjects_technologyId_fkey` FOREIGN KEY (`technologyId`) REFERENCES `Technology`(`id`) ON DELETE RESTRICT ON UPDATE CASCADE;

-- AddForeignKey
ALTER TABLE `VisitorOnProjects` ADD CONSTRAINT `VisitorOnProjects_projectId_fkey` FOREIGN KEY (`projectId`) REFERENCES `Projects`(`id`) ON DELETE RESTRICT ON UPDATE CASCADE;

-- AddForeignKey
ALTER TABLE `VisitorOnProjects` ADD CONSTRAINT `VisitorOnProjects_visitorId_fkey` FOREIGN KEY (`visitorId`) REFERENCES `Visitor`(`id`) ON DELETE RESTRICT ON UPDATE CASCADE;
