
export type technologies = {
  logo: {
    fileName: string,
    filePath: string,
  },
  name: string,
  status: boolean,
  id: number,
  projects: [],
  type: 'frontend' | 'backend' | 'mobile'
}

export type technosTypes = {
  label: string,
  value: number
}

export type technology_type_type = {
  label: 'frontend' | 'backend' | 'mobile',
  value: 'frontend' | 'backend' | 'mobile'
}

export type projectsTypes = {
  id: number,
  name: string,
  status: boolean,
  createdAt: Date,
  updatedAt: Date,
  technologies: technologies[],
  frontends: technologies[],
  backends: technologies[],
  image?: {
    fileName:string,
    filePath: string
  },
  description: string,
  url: string,
  visitorsCount: number
}

export type ResponseData = {
  message?: string,
  data?: any
}

export type stats = {
  visitors: number,
  active_projects: number,
  disabled_projects: number,
  active_technologies: number,
  disabled_technologies: number
}