export const convertNumberToAbbreviation = (number: number): string => {
  const k = 1000
  const m = 1000000
  const b = 1000000000
  const t = 1000000000000

  if (number >= k && number <= m) {
    return round_down(number, k, 10, 'k')
  } else if(number >= m && number <= b){
    return round_down(number, m, 100, 'm')
  }

  return number.toString();
}

const round_down = (
  number: number, 
  divider: number, 
  decimals: number, 
  suffix: string
  ): string => {
  const abbreviatedNumber = number / divider
  const roundedNumber = Math.floor(abbreviatedNumber * decimals) / decimals
  return roundedNumber.toString() + suffix
}