import formidable from "formidable"
import type { NextApiRequest } from "next"
import path from "path";

export const parseForm = (
  req: NextApiRequest
  ): Promise<{fields: formidable.Fields; files: formidable.Files}> => {

  const options: formidable.Options = {}
  options.uploadDir = path.join(process.cwd(), "/public/uploads/projects")
  options.filename = (name, ext, path, form) => {
    return Date.now().toString() + "_" + path.originalFilename
  }
  const form = formidable(options)
  return new Promise((resolve, reject) => {
    form.parse(req, (err, fields, files) => {
      if(err) reject(err)
      resolve({fields, files})
    })
  })
}

export const technologiesForm = (
  req: NextApiRequest
  ): Promise<{fields: formidable.Fields; files: formidable.Files}> => {

  const options: formidable.Options = {}
  options.uploadDir = path.join(process.cwd(), "/public/uploads/technologies")
  options.filename = (name, ext, path, form) => {
    return Date.now().toString() + "_" + path.originalFilename
  }
  const form = formidable(options)
  return new Promise((resolve, reject) => {
    form.parse(req, (err, fields, files) => {
      if(err) reject(err)
      resolve({fields, files})
    })
  })
}

export const cvForm = (
  req: NextApiRequest
  ): Promise<{fields: formidable.Fields; files: formidable.Files}> => {

  const options: formidable.Options = {}
  options.uploadDir = path.join(process.cwd(), "/public/uploads/cv")
  options.filename = (name, ext, path, form) => {
    return Date.now().toString() + "_" + path.originalFilename
  }
  const form = formidable(options)
  return new Promise((resolve, reject) => {
    form.parse(req, (err, fields, files) => {
      if(err) reject(err)
      resolve({fields, files})
    })
  })
}